# \_getData

Returns data from each row of an Asset Table

### Parameters

#### tid

The ID of the Asset Table containing this row

#### aid

The ID of the Asset which has the table containing this row

### Example

```
FM_api('AssetTable_getData',[
  'aid'=>'466183',
  'tid'=>'1689678663502'
  ]
);
```

### Results

#### On Success

```
[
    {
    "id":"12",
    "table_id":"1689691190237",
    "asset_id":"466183",
    "data":"{
              \"1\": \"Test1A\",
              \"2\": \"Test2A\",
              \"3\": \"Test3A\",
              \"4\": \"Test4A\"
         }",
    "cdate":"2023-07-18 14:41:21",
    "last_edited":"2023-07-18 14:41:21"
    },
    {
    "id":"13",
    "table_id":"1689691190237",
    "asset_id":"466183",
    "data":"{
              \"1\": \"Test1B\",
              \"2\": \"Test2B\",
              \"3\": \"Test3B\",
              \"4\": \"Test4B\"
         }",
    "cdate":"2023-07-18 15:14:35",
    "last_edited":"2023-07-18 15:14:35"
    }
]
```

In the above result, the Asset Table had 2 rows, each with 4 entries

#### On Failure

If the "aid" parameter is not present or less than 0:

```
{"error":"missing or invalid parameter: aid"}
```

If the "tid" parameter is not present or less than 1:

```
{"error":"missing or invalid parameter: tid"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/assettable/_getdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
